// src/api/apiClient.ts

export const getAuthToken = () => {
  return localStorage.getItem('litecloud_token') || '';
};

export const apiCall = async (url: string, options: RequestInit = {}) => {
  const token = getAuthToken();
  const response = await fetch(url, {
    ...options,
    headers: {
      'Authorization': `Bearer ${token}`,
      'Content-Type': 'application/json',
      ...options.headers,
    },
  });

  if (!response.ok) {
    throw new Error(`HTTP error! status: ${response.status}`);
  }

  return response;
};
